ata_data_xfer
Prev | Chapter 4. libata Library | Next

## Name

ata_data_xfer — Transfer data by PIO

## Synopsis

`unsigned int ata_data_xfer (` | struct ata_device * | dev,
| unsigned char * | buf,
| unsigned int | buflen,
| int | rw`)`;

## Arguments

`dev`

  device to target

`buf`

  data buffer

`buflen`

  buffer length

`rw`

  read/write

## Description

Transfer data from/to the device data register by PIO.

## LOCKING

Inherited from caller.

## RETURNS

Bytes consumed.

Prev | Up | Next
ata_sg_init | Home | ata_data_xfer_noirq